Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment.scanner
Interface DeploymentScannerMBean

All Superinterfaces:
  Service, ServiceMBean

All Known Subinterfaces:
  HttpURLDeploymentScannerMBean, URLDeploymentScannerMBean, URLDirectoryScannerMBean

All Known Implementing Classes:
  AbstractDeploymentScanner, HttpURLDeploymentScanner, URLDeploymentScanner, URLDirectoryScanner

public interface DeploymentScannerMBean
extends ServiceMBean

MBean interface.

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`javax.management.ObjectName` | `getDeployer()` Get the ObjectName of the `Deployer` which we are using.
`boolean` | `isScanEnabled()` Check if period based scanning is enabled.
`void` | `scan()` Scan for deployment changes.
`void` | `setDeployer(javax.management.ObjectName deployerName)` The ObjectName of the `Deployer` which we will use.
`void` | `setScanEnabled(boolean flag)` Disable or enable the period based deployment scanning.
`void` | `setScanPeriod(long period)` Set the scan period for the scanner.

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### setDeployer

    public void setDeployer(javax.management.ObjectName deployerName)

  The ObjectName of the `Deployer` which we will use.

  Parameters:
    `deployerName` - The object name of the deployer to use.

### getDeployer

    public javax.management.ObjectName getDeployer()

  Get the ObjectName of the `Deployer` which we are using.

  Returns:
    The object name of the deployer we are using.

### setScanPeriod

    public void setScanPeriod(long period)

  Set the scan period for the scanner.

  Parameters:
    `period` - This is the time in milliseconds between scans.
  Throws:
    `IllegalArgumentException` - Period value out of range.

### setScanEnabled

    public void setScanEnabled(boolean flag)

  Disable or enable the period based deployment scanning.

  Manual scanning can still be performed by calling `scan()`.

  Parameters:
    `flag` - True to enable or false to disable period based scanning.

### isScanEnabled

    public boolean isScanEnabled()

  Check if period based scanning is enabled.

  Returns:
    True if enabled, false if disabled.

### scan

    public void scan()
              throws Exception

  Scan for deployment changes.

  Throws:
    `IllegalStateException` - Not initialized.
    `Exception` - Scan failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.